Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1424039 - libjs crash (aarch64)
Summary: libjs crash (aarch64)
Keywords:
Status: CLOSED DUPLICATE of bug 1423793
Alias: None
Product: Fedora
Classification: Fedora
Component: js
Version: 26
Hardware: aarch64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Pavel Alexeev
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F26FTBFS 1423356
TreeView+ depends on / blocked
 
Reported: 2017-02-17 15:41 UTC by Fedora Release Engineering
Modified: 2017-03-10 16:12 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-10 16:12:32 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2017-02-17 15:41 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2017-02-17 15:41 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2017-02-17 15:41 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2017-02-17 15:41:26 UTC
Your package pam failed to build from source in current rawhide.

https://koji.fedoraproject.org/koji/taskinfo?taskID=17747235

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

Comment 1 Fedora Release Engineering 2017-02-17 15:41:31 UTC
Created attachment 1253428 [details]
build.log

Comment 2 Fedora Release Engineering 2017-02-17 15:41:35 UTC
Created attachment 1253429 [details]
root.log

Comment 3 Fedora Release Engineering 2017-02-17 15:41:37 UTC
Created attachment 1253430 [details]
state.log

Comment 4 Tomas Mraz 2017-02-21 15:16:48 UTC
The elinks crashes - but purely on aarch64 - and I even cannot reproduce it in mock rawhide chroot on some Fedora 24 aarch64 machine. I am sorry I have no further info.

Comment 5 Kamil Dudka 2017-02-21 15:26:56 UTC
Looks like a duplicate of bug #1425004.  I was also not able to reproduce the crash locally in mock.  Nevertheless, it seems to be the same issue as bug #1423015, which is private.  I made the minimal example publicly available:

    attachment #1255628 [details]

Comment 6 Tomas Mraz 2017-02-21 15:43:19 UTC
Dan Horak suggested that this could be caused by:
https://fedoraproject.org/wiki/Changes/aarch64-48bitVA

Comment 7 Tomas Mraz 2017-02-21 15:44:21 UTC
Also see the probable duplicate (js FTBFS): bug 1423793

Comment 8 Fedora End Of Life 2017-02-28 11:54:21 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 9 Dan Horák 2017-03-10 16:12:32 UTC

*** This bug has been marked as a duplicate of bug 1423793 ***


Note You need to log in before you can comment on or make changes to this bug.